## org.eclipse.datatools.sqltools.sqleditor.internal.editor
Class SQLOutlinePage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.ui.views.contentoutline.ContentOutlinePage
              org.eclipse.datatools.sqltools.sqleditor.internal.editor.SQLOutlinePage

All Implemented Interfaces:
  org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage, org.eclipse.ui.views.contentoutline.IContentOutlinePage

    public class SQLOutlinePage

extends org.eclipse.ui.views.contentoutline.ContentOutlinePage
implements org.eclipse.jface.viewers.ISelectionProvider

Author:
  Hui Cao

Constructor Summary
`SQLOutlinePage(SQLEditor editor)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`org.eclipse.swt.widgets.Control` `getControl()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `setFocus()`
`void` `setInput(Node node)`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection)`
`void` `update(Node node)`

Methods inherited from class org.eclipse.ui.views.contentoutline.ContentOutlinePage
`addSelectionChangedListener, init, removeSelectionChangedListener, selectionChanged`

Methods inherited from class org.eclipse.ui.part.Page
`getSite, makeContributions, setActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener`

Methods inherited from interface org.eclipse.ui.part.IPage
`setActionBars`

Constructor Detail

### SQLOutlinePage

    public SQLOutlinePage(SQLEditor editor)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.ui.part.IPage`
  Overrides:
    `createControl` in class `org.eclipse.ui.views.contentoutline.ContentOutlinePage`

### setInput

    public void setInput(Node node)

### update

    public void update(Node node)

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.part.IPage`
  Overrides:
    `setFocus` in class `org.eclipse.ui.views.contentoutline.ContentOutlinePage`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.part.IPage`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.Page`

### getControl

    public org.eclipse.swt.widgets.Control getControl()

  Specified by:
    `getControl` in interface `org.eclipse.ui.part.IPage`
  Overrides:
    `getControl` in class `org.eclipse.ui.views.contentoutline.ContentOutlinePage`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Overrides:
    `setSelection` in class `org.eclipse.ui.views.contentoutline.ContentOutlinePage`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Overrides:
    `getSelection` in class `org.eclipse.ui.views.contentoutline.ContentOutlinePage`